Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Mount replacement which uses HAL to do the mounting 
Name: 		gnome-mount
Version: 	0.8
Release: 	1
Epoch:		1
License: 	GPL
Group: 		System/Configuration/Hardware
Source: 	http://hal.freedesktop.org/releases/%{name}-%{version}.svn20080225.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	hal-devel gtk2+-devel dbus-devel dbus-glib-devel
BuildRequires: 	gnome-keyring-devel
BuildRequires: 	libnotify-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	gettext
BuildRequires: 	perl-XML-Parser
BuildRequires: 	nautilus-devel
BuildRequires: 	eel-devel
Requires: hal >= 0.5.10
Requires: dbus
Requires: dbus-glib
Requires(post): GConf
Requires(preun): GConf

%description
A replacement for the mount, umount and eject commands that
uses HAL to do all the heavy lifting.

%package devel
Summary: 	Development files for gnome-mount
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description devel
Development files for gnome-mount

%package nautilus-properties
Summary: 	Nautilus extention for gnome-mount
Group: 		System/Configuration/Hardware
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description nautilus-properties 
 Nautilus extention which adds property pages to volume and drive mount 
 properties dialog for manipulating mount options.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build

%configure --sysconfdir=%_sysconfdir/gnome

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-mount.schemas > /dev/null || :

%preun
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-mount.schemas > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gnome/gconf/schemas/gnome-mount.schemas
%{_bindir}/gnome-eject
%{_bindir}/gnome-mount
%{_bindir}/gnome-umount
%dir %{_datadir}/gnome-mount
%{_datadir}/gnome-mount/gnome-mount-properties.glade
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/gnome-mount.pc
%{_libdir}/nautilus/extensions-2.0/*.a
%{_libdir}/nautilus/extensions-2.0/*.la

%files nautilus-properties
%defattr(-, root, root)
%{_libdir}/nautilus/extensions-2.0/libgnome-mount.so

%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.8-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.7-1
- Version update
* Thu Mar 29 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.5-2
- fixed dependencies
* Sat Mar 24 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.5-1
- Version update, now we have hal 0.5.8.1
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 1:0.4-2
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:0.4-1
- bumped to version 0.4, 0.5 requires hal 0.5.8.1
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 0.5-1
- Initial release